## trinityrnaseq 2.10.0+dfsg

=== Makefile ===
###################################################################
#
# The default compiler is GNU gcc/g++.
# Run
#  make TRINITY_COMPILER=intel
# to build Inchworm and Chrysalis with the Intel compiler.
#


export TRINITY_HOME = $(PWD)

ifeq ($(TRINITY_COMPILER),intel)
 INCHWORM_CONFIGURE_FLAGS = CXX=icpc CXXFLAGS="-fast"
 CHRYSALIS_MAKE_FLAGS = COMPILER=icpc
else
 override TRINITY_COMPILER=gnu
endif


all: inchworm_target chrysalis_target trinity_essentials
	sh ./util/support_scripts/trinity_install_tests.sh


install:
	util/support_scripts/trinity_installer.py

inchworm_target:
	@echo Using $(TRINITY_COMPILER) compiler for Inchworm and Chrysalis
	cd Inchworm && $(MAKE)

chrysalis_target:
	cd Chrysalis && $(MAKE)


trinity_essentials:
	cd trinity-plugins && $(MAKE) trinity_essentials


plugins:
	cd trinity-plugins && $(MAKE) plugins
	sh ./util/support_scripts/plugin_install_tests.sh

test:
	@echo
	@echo "Checking for Trinity essentials (built from 'make all'):"
	sh ./util/support_scripts/trinity_install_tests.sh
	@echo
	@echo "Checking for plugins (built from 'make plugins'):"
	sh ./util/support_scripts/plugin_install_tests.sh
	@echo "Run 'make test_trinity' if you want to test Trinity execution on a small data set"

clean:
	cd Inchworm && $(MAKE) clean
	cd Chrysalis && $(MAKE) clean 
	cd trinity-plugins && $(MAKE) clean 
	cd sample_data/ && $(MAKE) clean


test_trinity:
	cd sample_data/test_Trinity_Assembly && make test


# note 'test_all': ** this is for a more advanced installation including devel features **

test_all:
	cd sample_data/ && make test_all
	./__pull_trinity_ext_sample_data.sh
	cd trinity_ext_sample_data/ && make test

test_clean:
	cd sample_data/ && make clean
	cd trinity_ext_sample_data/ && make clean

###################################################################

=== Chrysalis/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
find_program(CMAKE_C_COMPILER NAMES $ENV{CC} gcc PATHS ENV PATH NO_DEFAULT_PATH})
find_program(CMAKE_CXX_COMPILER NAMES $ENV{CXX} g++ PATHS ENV PATH NO_DEFAULT_PATH})

project (Inchworm)

enable_language(CXX)

set(default_build_type "Release")

if(NOT CMAKE_BUILD_TYPE)
    message(STATUS "${Red}No build type specified so building in RELEASE mode.${ColourReset}")
    set(CMAKE_BUILD_TYPE "${default_build_type}")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pipe -W -Wall -Wpedantic -fopenmp -pthread -m64")

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2  -DNDEBUG ")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -O0")

set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lm -ldl ")

MESSAGE(STATUS "system: ${CMAKE_SYSTEM_NAME}")
if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lrt")
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libstdc++")
endif(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")


include_directories( BEFORE "${CMAKE_SOURCE_DIR}" )


############
## Chrysalis 
############

set(Chrysalis_SOURCES aligns/KmerAlignCore.cc
                      analysis/AACodons.cc
                      analysis/Chrysalis.cc
                      analysis/DNAVector.cc
                      analysis/TranscriptomeGraph.cc
                      base/ErrorHandling.cc
                      base/FileParser.cc
                      base/StringUtil.cc
                      util/mutil.cc )

add_executable(Chrysalis ${Chrysalis_SOURCES})
install(TARGETS Chrysalis DESTINATION bin)


#################
## GraphFromFasta
#################

set(GraphFromFasta_SOURCES aligns/KmerAlignCore.cc
                           analysis/AACodons.cc
                           analysis/DNAVector.cc
                           analysis/DeBruijnGraph.cc
                           analysis/GraphFromFasta.cc
                           analysis/KmerTable.cc
                           analysis/NonRedKmerTable.cc
                           analysis/sequenceUtil.cc
                           analysis/stacktrace.cc
                           base/ErrorHandling.cc
                           base/FileParser.cc
                           base/StringUtil.cc
                           util/mutil.cc )

add_executable(GraphFromFasta ${GraphFromFasta_SOURCES})
install(TARGETS GraphFromFasta DESTINATION bin)


################
## QuantifyGraph
################

set(QuantifyGraph_SOURCES aligns/KmerAlignCore.cc
                          analysis/AACodons.cc
                          analysis/DNAVector.cc
                          analysis/KmerTable.cc
                          analysis/NonRedKmerTable.cc
                          analysis/QuantifyGraph.cc
                          base/ErrorHandling.cc
                          base/FileParser.cc
                          base/StringUtil.cc
                          util/mutil.cc )

add_executable(QuantifyGraph ${QuantifyGraph_SOURCES})
install(TARGETS QuantifyGraph DESTINATION bin)

#####################
## ReadsToTranscripts
#####################


set(ReadsToTranscripts_SOURCES analysis/AACodons.cc
                               analysis/DNAVector.cc
                               analysis/NonRedKmerTable.cc
                               analysis/ReadsToTranscripts.cc
                               base/ErrorHandling.cc
                               base/FileParser.cc
                               base/StringUtil.cc
                               util/mutil.cc )

add_executable(ReadsToTranscripts ${ReadsToTranscripts_SOURCES})
install(TARGETS ReadsToTranscripts DESTINATION bin)


#####################
## BubbleUpClustering
#####################

set(BubbleUpClustering_SOURCES aligns/KmerAlignCore.cc
                               analysis/AACodons.cc
                               analysis/BubbleUpClustering.cc
                               analysis/DNAVector.cc
                               analysis/DeBruijnGraph.cc
                               analysis/KmerTable.cc
                               analysis/NonRedKmerTable.cc
                               analysis/sequenceUtil.cc
                               analysis/stacktrace.cc
                               base/ErrorHandling.cc
                               base/FileParser.cc
                               base/StringUtil.cc
                               util/mutil.cc )

add_executable(BubbleUpClustering ${BubbleUpClustering_SOURCES})
install(TARGETS BubbleUpClustering DESTINATION bin)


#########################
## CreateIwormFastaBundle
#########################

set(CreateIwormFastaBundle_SOURCES analysis/AACodons.cc
                                   analysis/CreateIwormFastaBundle.cc
                                   analysis/DNAVector.cc
                                   base/ErrorHandling.cc
                                   base/FileParser.cc
                                   base/StringUtil.cc
                                   util/mutil.cc )

add_executable(CreateIwormFastaBundle ${CreateIwormFastaBundle_SOURCES})
install(TARGETS CreateIwormFastaBundle DESTINATION bin)

=== trinity-plugins/Makefile ===

OS := $(shell uname)

CXX = g++
CC = gcc
COLLECTL_CODE="collectl-4.1.0"
PARAFLY_CODE="ParaFly-0.1.0"
TRIMMOMATIC_CODE=Trimmomatic-0.36



trinity_essentials: seqtk_target parafly_target trimmomatic_target bamsifter_target

trimmomatic_target:
	ln -sf ${TRIMMOMATIC_CODE} Trimmomatic


seqtk_target:
	cd seqtk-trinity && $(MAKE) CXX=$(CXX) CC=$(CC)
	mv seqtk-trinity/seqtk-trinity ./BIN/.

parafly_target:
	tar -zxvf ${PARAFLY_CODE}.tar.gz && \
	cd ${PARAFLY_CODE} && sh ./configure --prefix=`pwd` CXX=$(CXX) CC=$(CC) CFLAGS="-fopenmp" CXXFLAGS="-fopenmp" && $(MAKE) install && \
	cp bin/ParaFly ../BIN/


htslib.ok:
	cd htslib && autoreconf && ./configure --prefix=`pwd` && make && make install
	@touch htslib.ok

bamsifter_target: htslib.ok
	cd bamsifter && make && cp bamsifter ../BIN/

##################################
### Needed for downstream analyses
##################################

plugins: slclust_target collectl_target
	@echo "\n\n** Done building plugins **\n\n"


slclust_target:
	cd slclust && $(MAKE) CXX=$(CXX) CC=$(CC) install

collectl_target:
	cd COLLECTL && tar xvf ${COLLECTL_CODE}.src.tar.gz && ln -sf ${COLLECTL_CODE} collectl

clean:
	cd seqtk-trinity && $(MAKE) clean
	cd scaffold_iworm_contigs && $(MAKE) clean
	rm -rf ${PARAFLY_CODE}
	rm -f ./Trimmomatic # rm symlink
	cd slclust && $(MAKE) clean
	cd COLLECTL && rm -rf ${COLLECTL_CODE} && rm -f collectl
	cd htslib && make clean
	cd bamsifter && make clean
	rm -f ./htslib.ok
	@echo "\n\n** Done cleaning plugins area **"


###################################################################

=== trinity-plugins/bamsifter/Makefile ===
sift_bam_max_cov: sift_bam_max_cov.cpp
	g++ sift_bam_max_cov.cpp -Wall -lhts -O2 -I../htslib -L../htslib -o bamsifter

=== trinity-plugins/seqtk-trinity/Makefile ===
CC=gcc
CFLAGS=-g -Wall -O2 -Wno-unused-function

all:seqtk-trinity

seqtk-trinity:seqtk.c khash.h kseq.h
		$(CC) $(CFLAGS) seqtk.c -o $@ -lz -lm

clean:
		rm -fr gmon.out *.o ext/*.o a.out seqtk trimadap *~ *.a *.dSYM session*


test:
	./seqtk-trinity seq -A -R 1 testing/oldformat_1.fq > test.fa
	./seqtk-trinity seq -A -R 2 testing/oldformat_2.fq > test.fa	

	./seqtk-trinity seq -A -R 1 testing/newformat_1.fq > test.fa
	./seqtk-trinity seq -A -R 2 testing/newformat_2.fq > test.fa	

	./seqtk-trinity seq -A -R 1 testing/stripped.fq > test.fa
	./seqtk-trinity seq -A -R 2 testing/stripped.fq > test.fa

	./seqtk-trinity seq -A -R 1 testing/forward_reverse_notation_1.fq > test.fa
	./seqtk-trinity seq -A -R 2 testing/forward_reverse_notation_2.fq > test.fa

=== debian/changelog ===
trinityrnaseq (2.10.0+dfsg-1) unstable; urgency=medium

  * Eliminate warning about missing hardening flags
  * New upstream version
  * debhelper-compat 12
  * debian/control: Added   python3-htseq, rna-star, picard-tools, gmap,
    histat2, subread, kallisto,
    r-bioc-{edger,deseq2,rots,ctc,biobase,qvalue,goseq,tximport,dexseq,glimma},
    r-cran-{ape,fastcluster,gplots,argparse,goplot,readr,tidyverse},
    liburi-perl deps, and python3-hisat2
  * Standards-Version: 4.5.0 (routine-update)
  * Refresh patches
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * debian/rules: seqtk-trinity now has a unversioned path
  * debian/patches/butterfly: restore missing Butterfly sources
  * debian/patches/submake: use $(MAKE) consistently
  * Install the new bamsfilter plugin
  * Install trinity-plugins/COLLECTL/examine_resource_usage_profiling.pl
  * Install trinity-plugins/DEXseq_util/dexseq_prepare_annotation.py
  * Install PyLib/Pipeliner.py
  * Set PICARD_HOME default of /usr/share/java
  * Skip tests that require GATK4 until it gets packaged
  * Skip tests that require r-bioc-tximportdata
  * Skip the remaining tests waiting for new packages
  * debian/tests/runtests: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Remove trailing whitespace in debian/changelog (routine-update)
  * debian/upstream/metadata: add Repository{,-Browse}, Bug-{Database,Submit}

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 28 Apr 2020 09:07:17 +0200

=== debian/control ===
Source: trinityrnaseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               jellyfish,
               libjung-free-java,
               javahelper,
               libgetopt-java,
               default-jdk,
               parafly,
               libjs-jquery,
               jaligner,
               libhts-dev,
               bowtie2,
               salmon,
               zlib1g-dev,
               cmake,
               r-bioc-edger,
               r-bioc-deseq2,
               r-bioc-rots,
               r-cran-fastcluster,
               liburi-perl,
               r-cran-ape,
               r-bioc-ctc,
               r-cran-gplots,
               r-cran-readr,
               r-bioc-biobase,
               r-bioc-qvalue,
               r-bioc-goseq,
               r-bioc-tximport,
               python3-htseq,
               rna-star,
               picard-tools,
               gmap,
               hisat2,
               subread,
               kallisto,
               python3-hisat2
#               r-cran-argparse,
#               r-cran-goplot,
#               r-bioc-dexseq,
#               r-bioc-glimma,
#               r-bioc-tximportdata
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/trinityrnaseq
Vcs-Git: https://salsa.debian.org/med-team/trinityrnaseq.git
Homepage: https://trinityrnaseq.github.io/
Rules-Requires-Root: no

Package: trinityrnaseq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         ${java:Depends},
         bowtie,
         bowtie2,
         libwww-perl,
         default-jre-headless,
         samtools,
         jellyfish,
         r-base-core,
         r-cran-cluster,
         r-bioc-qvalue,
         rsem,
         berkeley-express,
         trimmomatic,
         transdecoder,
         parafly,
         curl,
         salmon,
         python3-numpy,
         ncbi-blast+,
         python3,
         r-cran-readr,
         r-bioc-edger,
         r-bioc-deseq2,
         r-bioc-rots,
         r-cran-fastcluster,
         liburi-perl,
         r-cran-ape,
         r-bioc-ctc,
         r-cran-gplots,
         r-bioc-biobase,
         r-bioc-goseq,
         r-bioc-tximport,
         python3-htseq,
         rna-star,
         gmap,
         hisat2,
         subread,
         kallisto,
         python3-hisat2
#         r-cran-argparse,
#         r-cran-goplot,
#         r-bioc-dexseq,
#         r-bioc-glimma
Recommends: ${java:Recommends},
            trinityrnaseq-examples,
            r-cran-tidyverse,
            picard-tools
Suggests: collectl,
          r-bioc-tximportdata
Description: RNA-Seq De novo Assembly
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.

Package: trinityrnaseq-examples
Architecture: all
Depends: ${perl:Depends},
         ${java:Depends},
         ${misc:Depends},
         r-base-core
Recommends: trinityrnaseq
Description: RNA-Seq De novo Assembly common example and testing files
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.
 .
 This package contains testing & example files.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

JDIR=/usr/share/java
export CLASSPATH=${JDIR}/commons-collections4.jar:${JDIR}/gnu-getopt.jar:${JDIR}/jung-algorithms.jar:${JDIR}/jung-api.jar:${JDIR}/jung-graph-impl.jar:${JDIR}/jaligner.jar
export JAVA_HOME=/usr/lib/jvm/default-java
SOURCE_DIRECTORIES_CMAKE = Inchworm Chrysalis
SOURCE_DIRECTORIES_SIMPLE_CLEAN = trinity-plugins/slclust trinity-plugins/scaffold_iworm_contigs trinity-plugins/bamsifter
SOURCE_DIRECTORIES_SIMPLE_ALL = ${SOURCE_DIRECTORIES_SIMPLE_CLEAN} trinity-plugins/seqtk-trinity
BASEDIR=debian/trinityrnaseq/usr/lib/trinityrnaseq
EXBASEDIR=debian/trinityrnaseq-examples/usr/share/trinityrnaseq
include /usr/share/dpkg/pkg-info.mk

export BUILD_DATETIME := "$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
%:
	dh $@ --with javahelper

override_dh_autoreconf:
	echo No need to run autoreconf

override_dh_auto_configure:
	rm -f Chrysalis/Makefile
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_configure \
                --sourcedirectory=$${target} --builddirectory=$${target}_build -- \
                --prefix=/usr/lib/trinityrnaseq/$${target}; done

override_dh_auto_build:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_build \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_ALL}; do dh_auto_build \
                --sourcedirectory=$${target}; done

override_dh_auto_clean:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_clean \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_CLEAN}; do dh_auto_clean \
                --sourcedirectory=$${target}; done
	rm --force Chrysalis/Makefile_auto
	rm --force trinity-plugins/slclust/bin/slclust
	cd trinity-plugins && $(MAKE) clean || true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	java -cp Butterfly.jar TransAssembly_allProbPaths -N 10000 -L 300 \
		-F 300 -C Butterfly/src/sample_data/c1.graph --stderr -V 20
endif

override_dh_auto_install:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_install \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_ALL}; do dh_auto_install \
                --sourcedirectory=$${target}; done

override_dh_install-arch:
	dh_install -a
	find debian/trinityrnaseq -name '*.p?' | xargs sed -i \
		's=^#!/usr/local/bin/perl=#!/usr/bin/perl='
	chmod u+x \
		${BASEDIR}/Analysis/DifferentialExpression/pairwise_summaries/class_to_separate_fpkm_matrices.pl \
		${BASEDIR}/Analysis/FL_reconstruction_analysis/count_by_expression_quintile.pl \
		${BASEDIR}/util/misc/capture_orig_n_unmapped_reads.pl \
		${BASEDIR}/util/support_scripts/plugin_install_tests.sh \
		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm

override_dh_install-indep:
	dh_install -i
	chmod u+x \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.clean.sh \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.sh \
		${EXBASEDIR}/trinity_ext_sample_data/__regression_tests/test_GraphFromFasta/runMe.sh \
		${EXBASEDIR}/trinity_ext_sample_data/test_Inchworm/runMe_MPI.sh \

override_dh_fixperms:
	dh_fixperms
	find debian -name genwig.sh -exec chmod +x \{\} \;
	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

=== debian/tests/control ===
Tests: run-tests
Depends: @, @builddeps@, r-cran-tidyverse
Restrictions: allow-stderr

## trinityrnaseq 2.11.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,9 @@
 all: inchworm_target chrysalis_target trinity_essentials
 	sh ./util/support_scripts/trinity_install_tests.sh
 
+
+no_bamsifter: inchworm_target chrysalis_target
+	cd trinity-plugins && $(MAKE) no_bamsifter
 
 install:
 	util/support_scripts/trinity_installer.py

=== Chrysalis/CMakeLists.txt ===
--- 
+++ 
@@ -98,6 +98,8 @@
                                analysis/DNAVector.cc
                                analysis/NonRedKmerTable.cc
                                analysis/ReadsToTranscripts.cc
+                               analysis/sequenceUtil.cc
+                               analysis/stacktrace.cc
                                base/ErrorHandling.cc
                                base/FileParser.cc
                                base/StringUtil.cc

=== Chrysalis/Makefile ===
all:
	mkdir -p build
	cd build && cmake -DCMAKE_INSTALL_PREFIX="" ../ && make DESTDIR=../ install

debug:
	mkdir -p build
	cd build && cmake -DCMAKE_INSTALL_PREFIX="" -DCMAKE_BUILD_TYPE=Debug ../ && make DESTDIR=../ install


clean:
	@echo cleaning
	(cd build && make clean) || :
	rm -rf ./build ./bin

=== Inchworm/Makefile ===
all:
	mkdir -p build
	cd build && cmake -DCMAKE_INSTALL_PREFIX="" ../ && make DESTDIR=../ install

clean:
	@echo cleaning
	(cd build && make clean) || :
	rm -rf ./build ./bin

=== trinity-plugins/Makefile ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 
 trinity_essentials: seqtk_target parafly_target trimmomatic_target bamsifter_target
+
+no_bamsifter: seqtk_target parafly_target trimmomatic_target
+
 
 trimmomatic_target:
 	ln -sf ${TRIMMOMATIC_CODE} Trimmomatic
@@ -25,12 +28,8 @@
 	cp bin/ParaFly ../BIN/
 
 
-htslib.ok:
-	cd htslib && autoreconf && ./configure --prefix=`pwd` && make && make install
-	@touch htslib.ok
-
-bamsifter_target: htslib.ok
-	cd bamsifter && make && cp bamsifter ../BIN/
+bamsifter_target:
+	cd bamsifter && make
 
 ##################################
 ### Needed for downstream analyses

=== trinity_ext_sample_data/Makefile ===

DIRS = test_GenomeGuidedTrinity \
test_InSilicoReadNormalization \
test_DE_analysis \
test_align_and_estimate_abundance \
test_full_edgeR_pipeline \
test_GOSeq_trinotate_pipe \
test_profiling_report \
test_PtR \
test_DTU \
test_VariantCalling \
test_tximport \
test_SuperTranscript \
test_GOplot \
test_TPM_weighted_gene_length \
test_ExN50 \
test_Assembly_DiffReadFormattings


test:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) test) || exit $$?; done



clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done

=== sample_data/test_Trinity_Assembly/Makefile ===

test:
	./runMe.sh
	touch test

test_all:
	./runMe.sh
	./misc_run_tests/__test_runMe_NO_normalization.sh
	./misc_run_tests/__runMe_with_qual_trimming.sh
	./misc_run_tests/__runMe_with_qual_trimming_and_normalization.sh
	./misc_run_tests/__test_runMe_with_jaccard_clip.sh
	./misc_run_tests/__runMe_with_qual_trimming_and_normalize_libs_separately.sh
	./misc_run_tests/__runMe_include_long_reads.sh
	./misc_run_tests/__run_PE_samples_file.sh
	./misc_run_tests/__run_SE_samples_file.sh
	./misc_run_tests/__runMe_use_workdir.sh
	./misc_run_tests/__runMe_piecemeal.sh
	./misc_run_tests/__run_PE_samples_file.min_kmer_cov_3.sh
	./misc_run_tests/__runMe_include_supertranscripts.sh
	touch test_all

clean:
	./cleanme.pl

=== trinity-plugins/bamsifter/Makefile ===


cwd = $(shell pwd)

sift_bam_max_cov: sift_bam_max_cov.cpp htslib/version.h
	g++ -std=c++11 -o _sift_bam_max_cov sift_bam_max_cov.cpp -Wall -O2 -L./htslib/build/lib/ -I./htslib/build/include -lhts


htslib/version.h :
	./build_htslib.sh

=== trinity-plugins/scaffold_iworm_contigs/Makefile ===
CXX    ?= g++
prefix = ../htslib

ScaffoldIwormContigs:
	$(CXX) $(LDFLAGS) -I$(prefix) -L$(prefix) ScaffoldIwormContigs.cpp error_checker.cpp -lhts -o scaffold_iworm_contigs

clean:
	rm -f scaffold_iworm_contigs

=== trinity_ext_sample_data/test_Assembly_DiffReadFormattings/Makefile ===

MINASM=9


test: forward_reverse stripped


regular:
	${TRINITY_HOME}/Trinity --left reads.left.fq.gz --right reads.right.fq.gz --seqType fq  --SS_lib_type RF --CPU 2 --max_memory 1G --output trinity_outdir --output trinity_regular_outdir --no_cleanup
	${TRINITY_HOME}/Analysis/FL_reconstruction_analysis/FL_trans_analysis_pipeline.pl --query trinity_regular_outdir/Trinity.fasta --target ${TRINITY_HOME}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/refSeqs.fa --no_reuse
	./ensure_min_asm.pl ${MINASM}

forward_reverse:
	${TRINITY_HOME}/Trinity --left reads.ForRev_1.fastq.gz --right reads.ForRev_2.fastq.gz --seqType fq  --SS_lib_type RF --CPU 2 --max_memory 1G --output trinity_ForwRev_outdir --no_cleanup
	${TRINITY_HOME}/Analysis/FL_reconstruction_analysis/FL_trans_analysis_pipeline.pl --query trinity_ForwRev_outdir/Trinity.fasta --target ${TRINITY_HOME}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/refSeqs.fa --no_reuse
	./ensure_min_asm.pl ${MINASM}

stripped:
	${TRINITY_HOME}/Trinity --left reads.left.stripped.fq.gz --right reads.right.stripped.fq.gz --seqType fq  --SS_lib_type RF --CPU 2 --max_memory 1G --output trinity_stripped_outdir --no_cleanup
	${TRINITY_HOME}/Analysis/FL_reconstruction_analysis/FL_trans_analysis_pipeline.pl --query trinity_stripped_outdir/Trinity.fasta --target ${TRINITY_HOME}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/refSeqs.fa --no_reuse
	./ensure_min_asm.pl ${MINASM}

clean:
	rm -rf ./trinity*outdir
	rm -f ./Trinity.fasta*

=== trinity_ext_sample_data/test_ExN50/Makefile ===
test:
	${TRINITY_HOME}/util/misc/contig_ExN50_statistic.pl ../test_DATA/salmon-quasi-trans.isoform.TMM.EXPR.matrix ../test_DATA/Trinity.fasta | tee test.ExN50
	${TRINITY_HOME}/util/misc/plot_ExN50_statistic.Rscript test.ExN50



clean:
	rm -f ./salmon* ./test.*

=== trinity_ext_sample_data/test_PtR/Makefile ===
test:
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --heatmap --heatmap_colorscheme 'black,yellow'
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --sample_cor_matrix
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --prin_comp 3 --add_prin_comp_heatmaps 5 --Zscale
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --compare_replicates
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --imgfmt svg --boxplot_log2_dist 0.8
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --top_variable_genes 300 --min_across_ANY_samples_gene_expr_val 5 --gene_cor_matrix
	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --mean_vs_sd
#	head -n11 candidate.Trinity_trans.TMM.EXPR.matrix > test.matrix && ${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m test.matrix -s candidate.samples.txt --per_gene_plots --per_gene_plots_incl_vioplot

	${TRINITY_HOME}/Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --heatmap --heatmap_colorscheme 'black,yellow' --order_columns_by_samples_file

	touch ./test


clean:
	rm -f ./candidate.Trinity_trans.TMM.EXPR.matrix.*
	rm -f ./test
	rm -f ./test.matrix ./test.matrix.*
	rm -f ./*.pdf
	rm -f ./*.svg

=== debian/changelog ===
trinityrnaseq (2.11.0+dfsg-6) unstable; urgency=medium

  * fix typo in debian/test/control.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Jan 2021 14:16:26 +0100

trinityrnaseq (2.11.0+dfsg-5) unstable; urgency=medium

  * Add r-bioc-dexseq to the deps for the trinityrnaseq binary package.
  * Standards-Version: 4.5.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Jan 2021 10:47:31 +0100

trinityrnaseq (2.11.0+dfsg-4) unstable; urgency=medium

  * Add patch to remove m64 flag. Hopefully helps arm64 to compile.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Jan 2021 07:33:58 +0100

trinityrnaseq (2.11.0+dfsg-3) unstable; urgency=medium

  * debian/tests/control: adjust so that the tests don't have to pass on archs
    where we don't build

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 24 Oct 2020 17:14:03 +0200

trinityrnaseq (2.11.0+dfsg-2) unstable; urgency=medium

  * debian/patches/STAR_genomeSAindexNbases: Attempt to fix the DTU STAR test error
  * debian/patches/skip_DTU_STAR_test: skip the test until a better fix is
    found

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 12 Oct 2020 15:16:52 +0200

trinityrnaseq (2.11.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix gcc-10 build issue
    Closes: #966876
  * debhelper-compat 13 (routine-update)
  * Review Files-Excluded for moved and removed files as well as new binary
    *.jars
  * Remove redundant debian/gbp.conf
  * Remove __pycache__ from installed package

  [ Michael R. Crusoe ]
  * Correct location of bamsifter installation
  * debian/patches/fix_system_paths: fix expected path for ParaFly
  * debian/patches/update-paths: fix paths to Butterfly.jar
  * Enable more features and tests with r-cran-{argparse,dexseq} & tabix

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 09 Oct 2020 15:13:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: trinityrnaseq
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                jellyfish,
                libjung-free-java,
                javahelper,
@@ -37,13 +37,14 @@
                hisat2,
                subread,
                kallisto,
-               python3-hisat2
-#               r-cran-argparse,
+               python3-hisat2,
+               r-cran-argparse,
+               r-bioc-dexseq,
+               tabix
 #               r-cran-goplot,
-#               r-bioc-dexseq,
 #               r-bioc-glimma,
 #               r-bioc-tximportdata
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/trinityrnaseq
 Vcs-Git: https://salsa.debian.org/med-team/trinityrnaseq.git
 Homepage: https://trinityrnaseq.github.io/
@@ -92,15 +93,16 @@
          hisat2,
          subread,
          kallisto,
-         python3-hisat2
-#         r-cran-argparse,
-#         r-cran-goplot,
-#         r-bioc-dexseq,
+         python3-hisat2,
+         r-cran-argparse,
+         r-cran-goplot,
+         r-bioc-dexseq
 #         r-bioc-glimma
 Recommends: ${java:Recommends},
             trinityrnaseq-examples,
             r-cran-tidyverse,
-            picard-tools
+            picard-tools,
+            tabix
 Suggests: collectl,
           r-bioc-tximportdata
 Description: RNA-Seq De novo Assembly

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,7 @@
 		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
 	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
 	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm
+	find debian -name __pycache__ -type d | xargs rm -rf
 
 override_dh_install-indep:
 	dh_install -i

=== debian/tests/control ===
Tests: run-tests
Depends: trinityrnaseq, trinityrnaseq-examples, r-cran-tidyverse
Restrictions: skip-not-installable, allow-stderr

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//g,repack,compression=xz" \
  https://github.com/trinityrnaseq/trinityrnaseq/releases \
  .*v@ANY_VERSION@(?:\.wExtSampleData|\.FULL_with_extendedTestData)@ARCHIVE_EXT@

# the ?: means the grouping is non-capturing, so the wExtSampleData or with_extendedTestData part isn't included in the version number

## trinityrnaseq 2.13.2%2Bdfsg

=== debian/changelog ===
trinityrnaseq (2.13.2+dfsg-3) unstable; urgency=medium

  * Team upload
  * Applying a new patch to build against newest libjung-free-java, adding a
    versioned dependency

 -- Pierre Gruet <pgt@debian.org>  Mon, 15 Nov 2021 21:52:59 +0100

trinityrnaseq (2.13.2+dfsg-2) unstable; urgency=medium

  * debian/javabuild: updated to correct path to the Butterfly source
  * debian/copyright: Now that the Butterfly source is back in the
    upstream tarball, adjust the paths accordingly here as well.
  * debian/patches: forwarded many patches upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Nov 2021 12:44:15 +0100

trinityrnaseq (2.13.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * watch file standard 4 (routine-update)
  * Freshen patches
  * debian/tests/control: dep on libpicard-java
  * debian/rules: adjust cmake invocation
  * new patch: debian/patches/which_command_v to use 'command -v'
    instead of which
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Refresh patches

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 17:28:45 +0100
